Webhooks
Create webhook destination
Workspace admin only.
POST
/
webhook-config
Create webhook destination
curl --request POST \
--url https://api.hookmyapp.com/webhook-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"webhookUrl": "<string>",
"channelId": "<string>",
"verifyToken": "<string>"
}
'import requests
url = "https://api.hookmyapp.com/webhook-config"
payload = {
"webhookUrl": "<string>",
"channelId": "<string>",
"verifyToken": "<string>"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({webhookUrl: '<string>', channelId: '<string>', verifyToken: '<string>'})
};
fetch('https://api.hookmyapp.com/webhook-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 403,
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}Authorizations
Authorization: Bearer hmok_... API key or a dashboard session token
Headers
Workspace ID for the request
Pattern:
^ws_[A-Za-z0-9]{8}$Body
application/json
Response
Created config
⌘I
Create webhook destination
